Monitors
Viewing API version 2026-05-01. View the latest version.
List monitors
List the monitors configured for your organization.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Query Parameters
limit?integer
Default
100Range
1 <= value <= 500offset?integer
Default
0Range
0 <= valueHeader Parameters
Kausate-Version?string
Default
"2026-05-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/monitors" \ -H "Kausate-Version: 2026-05-01"{
"monitors": [
{
"monitorId": "075fef10-8522-4c43-ac39-f1796133943e",
"kausateId": "string",
"companyName": "string",
"sources": [
"string"
],
"categoriesFilter": [
"string"
],
"eventCodesFilter": [
"string"
],
"autoDeactivateCategories": [
"string"
],
"scheduleCron": "string",
"webhookUrl": "string",
"metadata": {},
"isActive": true,
"deactivationReason": "string",
"createdAt": "2019-08-24T14:15:22Z",
"apiUrl": "string"
}
],
"total": 0
}{
"detail": "Not authenticated",
"code": "auth.unauthorized",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Invalid API key",
"code": "auth.forbidden",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Company not found",
"code": "company.not_found",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": [
{
"loc": [
"body",
"jurisdictionCode"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "An internal error occurred",
"code": "internal.unexpected",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}Last updated on